clear all
% Lower and upper limits for JONSWAP spectrum
Tmin = 2;
Tmax = 20;
Omin = 2*pi/Tmax;
Omax = 2*pi/Tmin;

% Number of wave components
N = 120;

% Length of intervals
delta_O = (Omax-Omin)/120;

% Random number within delta_O 
r = delta_O.*rand(1,N);

% Defining vector with equally spaced frequencies
omega = zeros(1,N);
omega(1) = Omin;
for i = 2:N
    omega(i) = omega(i-1) + delta_O;
end

% Vector with random frequency value within each interval
omega_rand = omega + r;
% Corresponding time values used as input in USFOS
T_rand = 2*pi./omega_rand;

% Generating 120 radom phase angles
phase_rand = randi(360,120,1);

% Write random time values to txt.file
fileID = fopen('T_rand.txt','w');
fprintf(fileID,'%6.3f\n',T_rand);
fclose(fileID);

% Write random phase values to txt.file
fileID = fopen('Phase_rand.txt','w');
fprintf(fileID,'%6.3f\n',phase_rand);
fclose(fileID);